{{page-title (capitalize (t this.title))}}

<div class='container mt-4 mb-5'>
  <div class='row mt-5 mb-4'>
    <div class="col col-xs-12 col-md-2">
      <div class="card">
        <div class="card-header text-primary">
          <strong>
            {{capitalize (t 'import file to')}}
            {{@model.map.name}}
          </strong>
        </div>
        <div class="list-group list-group-flush">
          <LinkTo
            @route="wizard.import.file-select"
            @model={{@model.map.id}}
            class='list-group-item list-group-item-action'
          >
            {{capitalize (t 'select a file')}}
          </LinkTo>
          <LinkTo
            @route="wizard.import.file-fields"
            @model={{@model.file.id}}
            class='list-group-item list-group-item-action'
          >
            {{capitalize (t 'field matching')}}
          </LinkTo>
          <button type="button" class="list-group-item list-group-item-action active">{{capitalize (t 'preview')}}</button>
          <button type="button" class="list-group-item list-group-item-action" disabled>{{capitalize (t 'import')}}</button>
        </div>
      </div>
    </div>

    <div class='col'>
      <Manage::Header @title={{capitalize (t this.title)}}>
        <Breadcrumbs @value={{this.breadcrumbs}} />

        {{#unless this.isAnalyzing}}
          <div class='btn-group' role='group' aria-label='Basic example'>
            <button
              class='btn btn-outline-primary btn-prev'
              type='button'
              {{on 'click' this.prevPage}}
            >
              <FaIcon @icon='chevron-left' />
            </button>
            <button class='btn btn-outline-secondary' disabled type='button'>
              {{this.currentVisibleIndex}}/{{this.previewList.length}}
            </button>
            <button
              class='btn btn-outline-primary btn-next'
              type='button'
              {{on 'click' this.nextPage}}
            >
              <FaIcon @icon='chevron-right' />
            </button>
          </div>
        {{/unless}}
      </Manage::Header>


      {{#if this.isAnalyzing}}
        <div class="d-flex align-items-center">
          <div class="spinner-border spinner-border-sm ms-auto" role="status" aria-hidden="true"></div>
          <strong class="flex-grow-1 ps-2">{{t 'generating preview'}}...</strong>
        </div>
      {{else}}
        {{#if this.alertList}}
          <AlertList @list={{this.alertList}} class="mt-3" />
        {{/if}}

        <hr />
        {{#if this.previewList}}
          <Browse::Site::PreviewImport
            @queryItem={{this.queryItem}}
            @baseMaps={{this.model.baseMaps}}
            @value={{this.selectedItem}}
          />
        {{/if}}
        <hr />

        <Input::Button
          class='btn btn-primary btn-import'
          @disabled={{not this.canImport}}
          @action={{this.submit}}
        >
          {{t 'import'}}
        </Input::Button>
      {{/if}}
    </div>
  </div>
</div>